<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin</title>
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
    <!-- dataTables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <!-- summernote -->
    <link rel="stylesheet" href="../plugins/summernote/summernote-bs4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css">
</head>

<body>
    <!-- wrapper -->
    <div class="wrapper">
       <!-- Navbar -->
       <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="index3.html" class="nav-link">Home</a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="#" class="nav-link">Contact</a>
            </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
            <!-- Navbar Search -->
            <li class="nav-item">
                <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                    <i class="fas fa-search"></i>
                </a>
                <div class="navbar-search-block">
                    <form class="form-inline">
                        <div class="input-group input-group-sm">
                            <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                aria-label="Search">
                            <div class="input-group-append">
                                <button class="btn btn-navbar" type="submit">
                                    <i class="fas fa-search"></i>
                                </button>
                                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                    <i class="fas fa-times"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </li>

            <!-- Messages Dropdown Menu -->
            <li class="nav-item " id="logout">
                <a class="nav-link" href="../signin.html" role="button">
                    <i class="fas fa-power-off"></i>
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                    <i class="fas fa-th-large"></i>
                </a>
            </li>
        </ul>
    </nav>
    <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="index3.html" class="brand-link">
                <span class="brand-text font-weight-light text-center d-block">Devcamp 120</span>
            </a>
            <!-- SidebarSearch Form -->
            <div class="form-inline">
                <div class="input-group" data-widget="sidebar-search">
                    <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                        aria-label="Search">
                    <div class="input-group-append">
                        <button class="btn btn-sidebar">
                            <i class="fas fa-search fa-fw"></i>
                        </button>
                    </div>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                    data-accordion="false">
                    <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                    <li class="nav-item menu-open">
                        <a href="./index.html" class="nav-link ">
                            <i class="nav-icon fas fa-tachometer-alt"></i>
                            <p>
                                Dashboard
                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./slides.html" class="nav-link ">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý slideshow
                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./danhmuc.html" class="nav-link">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý danh mục

                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./product.html" class="nav-link active">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý sản phẩm

                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./customer.html" class="nav-link ">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý Khách hàng
                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./orders.html" class="nav-link">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý Orders
                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./users.html" class="nav-link">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý users
                            </p>
                        </a>
                    </li>
                    <li class="nav-item ">
                        <a href="./review.html" class="nav-link">
                            <i class="nav-icon fas fa-th"></i>
                            <p>
                                Quản lý bình luận
                            </p>
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </aside>
        <!-- /.sidebar -->
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">Sản phẩm </h1>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Trang chủ</a></li>
                                <li class="breadcrumb-item active">Sản phẩm</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">
                <button class='btn btn-info add-bt mb-2 ' id="add-new"><i class="fas fa-plus"></i>Thêm mới</button>
                <table id="table-data" class="table table-striped table-bordered mt-5" style="width:100%">
                    <thead>
                        <th>STT</th>
                        <th>Product Name</th>
                        <th>Product Code</th>
                        <th>Product Description</th>
                        <th>Quantity InStock</th>
                        <th>Buy Price</th>
                        <th>Tác vụ</th>
                    </thead>
                    <tbody></tbody>
                </table>
                <div class="modal fade " id="modal-info" role="dialog">
                    <div class="modal-dialog modal-lg">

                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title text-left">Thêm / Sửa Product</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <div class="form-group">
                                    <label for="productName">Product Name</label>
                                    <input type="text" class="form-control" id="productName-modal"
                                        placeholder="Nhập productName">
                                </div>
                                <div class="form-group">
                                    <label for="productCode">Product Code</label>
                                    <input type="text" class="form-control" id="productCode-modal"
                                        placeholder="Nhập productCode">
                                </div>
                                <div class="form-group">
                                    <label for="productDescription">Product Description</label>
                                    <textarea class="form-control" id="summernote" rows="6"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="productColor">Product Color</label>
                                    <select class="form-control" id="productColor">

                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="productColor">Product Brand</label>
                                    <select class="form-control" id="productBrand">

                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="productColor">Product Line</label>
                                    <select class="form-control" id="productLine">

                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="quantityInStock">Quantity InStock</label>
                                    <input type="number" class="form-control" id="quantityInStock-modal"
                                        placeholder="Nhập quantityInStock">
                                </div>
                                <div class="form-group">
                                    <label for="buyPrice">Buy Price</label>
                                    <input type="number" class="form-control" id="buyPrice-modal"
                                        placeholder="Nhập buyPrice">
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-danger w-25 ml-2" id="dismiss"
                                    data-dismiss="modal">Quay
                                    lại</button>
                                <button type="button" class="btn btn-warning w-25" id="send-data">Save
                                    Data</button>
                            </div>
                        </div>

                    </div>
                </div>
            </section>
            <!-- / .Main content -->
        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2021 <a href="#">Devcamp120</a>.</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0
            </div>
        </footer>
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="../plugins/jquery-ui/jquery-ui.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- dataTables -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- Summernote -->
    <script src="../plugins/summernote/summernote-bs4.min.js"></script>
    <!-- AdminLTE App -->
    <script src="../dist/js/adminlte.min.js"></script>
    <!-- main js -->
    <script src="../dist/js/main.js"></script>
    <script src="../js/token.js"></script>
    <script src="./js/product.js"></script>
    <script>
        const gCURRENT_ADMIN_PAGE = "./admin/product.html";
        localStorage.setItem('current_page_admin', gCURRENT_ADMIN_PAGE);

        //Set sự kiện cho nút logout
        $("#logout").on("click", function () {
            redirectToLogin();
        });

        function redirectToLogin() {
            // Trước khi logout cần xóa token đã lưu trong cookie
            setCookie("token", "", 1);
            window.location.href = "./signin.html";
        }
    </script>
</body>

</html>